MANUSCRIPT: "Modelling the Effects of Ephaptic Coupling on Selectivity and Response Patterns during Artificial Stimulation of Peripheral Nerves", by Miguel Capllonch-Juan and Francisco Sepulveda (2020). PLOS Computational Biology.

SECTION: "Results: Effects of ephaptic coupling on propagation"

MODELS: Bundle 1 and Bundle 2.

DATASET:
This dataset contains the code and the data for the subsection "Results: Effects of ephaptic coupling on propagation".

 - Data: Bundle 1: fig6.json and fig7.json; Bundle 2: fig8.json.
 - Code: Bundle 1: SNOEC: "./bundle_1_noEC/"; SEC: "./bundle_1_nominalEC/"; Bundle 2: SNOEC: "./bundle_2_noEC/"; SEC: "./bundle_2_nominalEC/".

INSTRUCTIONS:

Running the simulations:
1. Run each simulation individually in each folder.
	1.1. SNOEC: First run "get_extstim.py", and second, "sim_launcher.py".
	1.2. SEC: Run "sim_launcher.py".

Data processing:
2. Zip the folders using the same names. This step is not strictly necessary if the Python scipts are modified to avoid needing to use zip files. However, it has been done this way because during the data production for the preparation of the manuscript, it was easier to handle zip files due to the high volume of data.

Data visualization:
3. Run "fig6.py", "fig7.py", or "fig8.py" for representations of figures 6, 7, or 8 in the manuscript, respectively.
NOTE: There is no script to visualize data directly from the "fig*.json" files; these are generated by "fig*.py".

TROUBLESHOOTING
 - Any problems? Please search for your issue or open a new one on the software's GitHub repository: https://github.com/mcapllonch/SenseBackSim/issues